import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/helpcenter/` + url, ...arg)

/**
 * 帮助中心Api接口管理器
 *
 * @author fanzherong
 * @date  2025/02/05 09:38
 **/
export default {
	// 获取帮助中心分页
	helpCenterPage(data) {
		return request('page', data, 'get')
	},
	// 提交帮助中心表单 edit为true时为编辑，默认为新增
	helpCenterSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除帮助中心
	helpCenterDelete(data) {
		return request('delete', data)
	},
	// 获取帮助中心详情
	helpCenterDetail(data) {
		return request('detail', data, 'get')
	},
	// 获取帮助中心数据回显
	helpCenter(data){
		return request("helpCenter",data,'get')
	}
}
